Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Class GlobalEntityASTTransformation

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.GlobalEntityASTTransformation

All Implemented Interfaces:
  org.codehaus.groovy.transform.ASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class GlobalEntityASTTransformation

A global AST transformation that injects methods and properties into classes in the grails-app/domain directory.

Authors:
  Graeme Rocher

Since:
  1.2

Method Summary
`void` | `visit(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### visit

    public void visit(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)

Groovy Documentation